Subject: bug#57234: closed (Re: bug#57234: Fix build of package icestorm)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 17 Aug 2022 05:57:02 +0000

Your bug report

#57234: Fix build of package icestorm

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57234: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57234
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57234: Fix build of package icestorm
From: 宋文武 <[email-masked]>
To: Gabriel Wicki <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Aug 2022 13:56:32 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Gabriel Wicki <[email-masked]> writes:

> Hello!
>
> I noticed icestorm doesn't build currently.  I've attached a fix.
>
> TIA for merging soon ;)

Hello, the latest version of icestorm have that fix, so I updated the
commit instead of merge this patch, thank you!

Subject: Fix build of package icestorm
From: Gabriel Wicki <[email-masked]>
To: [email-masked]
Date: Tue, 16 Aug 2022 01:58:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

I noticed icestorm doesn't build currently.  I've attached a fix.

TIA for merging soon ;)

g

>From de5b7f58c5c18621f69d15e11d78349c0d2d18be Mon Sep 17 00:00:00 2001
From: Gabriel Wicki <[email-masked]>
Date: Tue, 16 Aug 2022 01:46:07 +0200
Subject: [PATCH] gnu: fpga: Fix build of icestorm

* gnu/packages/fpga.scm (icestorm): Fix build.
[phases]{fix-build}: New phase.
---
 gnu/packages/fpga.scm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/gnu/packages/fpga.scm b/gnu/packages/fpga.scm
index b8f98ca63e..cac4db318d 100644
--- a/gnu/packages/fpga.scm
+++ b/gnu/packages/fpga.scm
@@ -258,6 +258,11 @@ (define-public icestorm
               (substitute* "icebox/icebox_vlog.py"
                 (("/usr/local/share") (string-append (assoc-ref outputs "out") "/share")))
               #t))
+          (add-after 'fix-usr-local 'fix-build
+            (lambda _
+              (substitute* "icetime/icetime.cc"
+                (("#include <vector>")
+                 "#include <vector>\n#include <stdexcept>"))))
           (delete 'configure))))
     (inputs
      (list libftdi))
-- 
2.36.1